/*
    B3_6.c
    Generated by Gene-Auto toolset ver 2.4.9
    (launcher GALauncherSCICOS)
    Generated on: 15/06/2012 14:22:16.232
    source model: Subsystem
    model version: 6.3
    last saved by:
    last saved on:
*/

/* Includes */

#include "B3_6.h"

/* Function definitions */

void B3_6_init(t_Subsystem_state *_state_) {
    /*  START Block: -35079f4:137f00fab4d:-7cae  */
    _state_->B3_6_2_memory = 0.0;
    /*  END Block: -35079f4:137f00fab4d:-7cae  */
}

void B3_6_compute(t_B3_6_io *_io_, t_Subsystem_state *_state_) {
    /*  Output from <SystemBlock: name=Subsystem>/<SystemBlock: name=B3>/<SystemBlock: name=B3_6>/<SourceBlock: name=B3_6_1>/<OutDataPort: name=null>  */
    REAL B3_6_1_null;
    /*  Output from -35079f4:137f00fab4d:-7cae/<OutDataPort: name=null>  */
    REAL B3_6_2_null;
    /*  START Block: -35079f4:137f00fab4d:-7cae  */
    B3_6_2_null = _state_->B3_6_2_memory;
    /*  END Block: -35079f4:137f00fab4d:-7cae  */
    /*  START Block: null  */
    B3_6_1_null = _io_->B3_6_1;
    /*  END Block: null  */
    /*  START Block: null  */
    _io_->B3_6_3 = B3_6_2_null;
    /*  END Block: null  */
    /*  START Block memory write: -35079f4:137f00fab4d:-7cae  */
    _state_->B3_6_2_memory = B3_6_1_null;
    /*  END Block memory write: -35079f4:137f00fab4d:-7cae  */
}

